---
updatedAt: 2026-06-16T10:31:55.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Basic Charge Plan

Get basic charge plan of charger.
            
This endpoint is marked for deprecation and will become unavailable after 01.09.2026. Use the [Get daily schedule](https://developer.easee.com/reference/GetChargersSchedulesDaily) endpoint instead.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Charger",
      "x-displayName": "Charger"
    }
  ],
  "paths": {
    "/api/chargers/{chargerId}/basic_charge_plan": {
      "get": {
        "tags": [
          "Charger"
        ],
        "summary": "Basic Charge Plan",
        "description": "Get basic charge plan of charger.\n            \nThis endpoint is marked for deprecation and will become unavailable after 01.09.2026. Use the [Get daily schedule](https://developer.easee.com/reference/GetChargersSchedulesDaily) endpoint instead.",
        "operationId": "Charger_GetChargePlan",
        "parameters": [
          {
            "name": "chargerId",
            "in": "path",
            "required": true,
            "description": "Charger ID",
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "200": {
            "description": "Charge plan",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Easee_Cloud_API_ChargePlanDTO"
                  }
                }
              }
            }
          }
        },
        "deprecated": true
      }
    }
  },
  "components": {
    "schemas": {
      "Easee_Cloud_API_ChargePlanDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "nullable": true
          },
          "chargeStartTime": {
            "type": "string",
            "format": "date-time"
          },
          "chargeStopTime": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "repeat": {
            "type": "boolean"
          },
          "isEnabled": {
            "type": "boolean",
            "nullable": true
          },
          "chargingCurrentLimit": {
            "type": "integer",
            "format": "int32",
            "default": 32,
            "maximum": 32,
            "minimum": 0
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```